Package ghidra.app.util.bin.format.coff

# Class CoffFileHeaderFlag

java.lang.Object
ghidra.app.util.bin.format.coff.CoffFileHeaderFlag

public final class CoffFileHeaderFlag extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `F_AR16WR`
  `static final int`
  `F_AR32W`
  `static final int`
  `F_AR32WR`
  Indicates that the file is 32-bit little endian.
  `static final int`
  `F_EXEC`
  If set, all unresolved symbols have been resolved and the file may be considered executable.
  `static final int`
  `F_LNNO`
  If set, all line number information has been removed from the file (or was never added in the first place).
  `static final int`
  `F_LSYMS`
  If set, all local symbols have been removed from the file (or were never added in the first place).
  `static final int`
  `F_MINMAL`
  Indicates this file is a minimal object file (".m")
  `static final int`
  `F_NODF`
  `static final int`
  `F_PATCH`
  `static final int`
  `F_RELFLG`
  If set, there is not relocation information in this file.
  `static final int`
  `F_SWABD`
  Indicates this file has had its bytes swabbed (in names).
  `static final int`
  `F_UPDATE`
  Indicates this file is a fully bound update file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoffFileHeaderFlag()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### F_RELFLG

    public static final int F_RELFLG
    If set, there is not relocation information in this file. This is usually clear for objects and set for executables.
    See Also:
      - Constant Field Values

  - ### F_EXEC

    public static final int F_EXEC
    If set, all unresolved symbols have been resolved and the file may be considered executable.
    See Also:
      - Constant Field Values

  - ### F_LNNO

    public static final int F_LNNO
    If set, all line number information has been removed from the file (or was never added in the first place).
    See Also:
      - Constant Field Values

  - ### F_LSYMS

    public static final int F_LSYMS
    If set, all local symbols have been removed from the file (or were never added in the first place).
    See Also:
      - Constant Field Values

  - ### F_MINMAL

    public static final int F_MINMAL
    Indicates this file is a minimal object file (".m")
    See Also:
      - Constant Field Values

  - ### F_UPDATE

    public static final int F_UPDATE
    Indicates this file is a fully bound update file.
    See Also:
      - Constant Field Values

  - ### F_SWABD

    public static final int F_SWABD
    Indicates this file has had its bytes swabbed (in names).
    See Also:
      - Constant Field Values

  - ### F_AR16WR

    public static final int F_AR16WR
    See Also:
      - Constant Field Values

  - ### F_AR32WR

    public static final int F_AR32WR
    Indicates that the file is 32-bit little endian.
    See Also:
      - Constant Field Values

  - ### F_AR32W

    public static final int F_AR32W
    See Also:
      - Constant Field Values

  - ### F_PATCH

    public static final int F_PATCH
    See Also:
      - Constant Field Values

  - ### F_NODF

    public static final int F_NODF
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CoffFileHeaderFlag

    public CoffFileHeaderFlag()